<template>
  <basic-container>
    <avue-crud ref="crud"
               v-model="form"
               :data="data"
               :option="option"
               @on-load="getList"
               @refresh-change="refreshChange"
               @search-change="searchChange"
    >
    </avue-crud>
  </basic-container>
</template>

<script>
export default {
  name: "Versionpackage.vue",
  data(){
    return {

      data:[
        {
          name:"测试1",
          source:"测试1",
          shows:"测试1"
        },
        {
          name:"测试2",
          source:"测试2",
          shows:"测试2"
        },
        {
          name:"测试3",
          source:"测试3",
          shows:"测试3"
        },
        {
          name:"测试4",
          source:"测试4",
          shows:"测试4"
        },
      ],
      form:{},
      option:{
        height:300,
        headerAlign:'center',
        align: 'center',
        border: true,
        menu: false,
        index: true,
        searchMenuSpan:6,
        addBtn:false,
        indexFixed:false,
        menuFixed:false,
        column:[
          {
            label:"名称",
            prop:"name",
          },
          {
            label:"来源",
            prop:"source",
            search:true
          },
          {
            label:"说明",
            prop:"shows",
          },
        ]
      }
    }
  },
  methods:{
    // getList () {
    //   this.loading = true;
    //   const data = Object.assign({
    //     pageNum: this.page.currentPage,
    //     pageSize: this.page.pageSize,
    //   }, this.params)
    //   this.data = [];
    //   getList(data).then(res => {
    //     const data = res.data.data
    //     this.loading = false;
    //     this.page.total = data.total;
    //     const result = data.list;
    //     this.data = result;
    //   })
    // },
    //搜索
    searchChange(params, done) {
      if (done) done();
      this.params = params;
      this.page.currentPage = 1;
      this.getList();
      this.$message.success('搜索成功')
    },
  }
}
</script>

<style scoped>

</style>
